<template>
    <div class="page">
        <div class="search-row">
                <Search class="search"/>
            </div>
        <div class="column left-column">
            <AddCard/>
            <Card v-for="card in cards" v-bind:key="card.name"/>
        </div>
        <div class="column right-column">
            <Card class="old" v-for="card in old_cards" v-bind:key="card.name"/>
        </div>
    </div>
</template>

<script>
import Card from '../components/Card.vue'
import AddCard from '../components/AddCard.vue'
import Search from '../components/Search.vue'


export default {
  name: 'Staff',
  components: {
    Card,
    AddCard,
    Search,
  },
  data() {
      return {
          old_cards : [
            {
            name : 'card1',
            },
            {
            name : 'card2',
            },
            {
            name : 'card3',
            },
        ],
        cards : [
            {
            name : 'card1',
            },
            {
            name : 'card2',
            },
        ],
      }
  }
}
</script>

<style scoped>
main {
    width: 100%;
    display: grid;
    grid-template-columns: 5vw 1fr 1fr 5vw;
    grid-gap: 2vw;
    margin: 2vw 0;
}

.left-column {
    grid-column: 2 / 3;
}

.left-column > *,
.right-column > * {
    margin-bottom: 2vw;
}

.right-column {
    grid-column: 3 / 4; 
}

.right-column .old {
    position: relative;
}

.right-column .old::after {
    content: '';
    position: absolute;
    display: block;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
}

.search-row {
    grid-column: 2 / 4;
    display: flex;
    align-items: left;
    margin-bottom: 1vw;
}

</style>

